E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
GNet::TimerBase Class Referenceabstract

An interface used by GNet::TimerList to keep track of pending timeouts and to deliver timeout events. More...

`#include <gtimer.h>`

Inheritance diagram for GNet::TimerBase:

## Public Member Functions
virtual | ~TimerBase ()
| Destructor.
void | startTimer (unsigned int interval_s, unsigned int interval_us=0U)
| Starts the timer so that it goes off after the given time interval. More...
void | startTimer (const G::EpochTime &interval_time)
| Overload for an interval expressed as an G::EpochTime.
void | cancelTimer ()
| Cancels the timer.
bool | active () const
| Returns true if the timer is started and not cancelled.
bool | immediate () const
| Used by TimerList. More...
void | doTimeout ()
| Used by TimerList to execute the onTimeout() callback.
G::EpochTime | t () const
| Used by TimerList to get the expiry epoch time.
bool | expired (G::EpochTime &) const
| Used by TimerList. More...

## Protected Member Functions
| TimerBase (ExceptionHandler &)
| Constructor.
virtual void | onTimeout ()=0
| Called when the timer expires (or soon after).

## Detailed Description

An interface used by GNet::TimerList to keep track of pending timeouts and to deliver timeout events.

The public methods to start and cancel the timer are normally used via GNet::Timer<>.

Definition at line 40 of file gtimer.h.

## Member Function Documentation

bool GNet::TimerBase::expired | ( | G::EpochTime & | now | ) | const

Used by TimerList.

Returns true if expired when compared to the given epoch time.

Definition at line 52 of file gtimer.cpp.

bool GNet::TimerBase::immediate | ( |  | ) | const

Used by TimerList.

Returns true if the timer is active() and zero-length.

Definition at line 45 of file gtimer.cpp.

void GNet::TimerBase::startTimer | ( | unsigned int | interval_s,
|  | unsigned int | interval_us = `0U`
| ) |  |

Starts the timer so that it goes off after the given time interval.

Definition at line 69 of file gtimer.cpp.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gnet/gtimer.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gnet/gtimer.cpp